import ToolBar from "./components/HighLight/ToolBar/index.vue";
import setSelectRange from "./components/HighLight/setSelectRange";
import HighLight from "./components/HighLight/Note/index.vue";
import globalStore from "./store/global";

const components = [HighLight, ToolBar];


const install = function (Vue, opts = {}) {
  if (!opts.store) {
    console.log("Please provide a store!");
  }

  components.map((component) => {
    Vue.component(component.name, component);
  });
   Vue.prototype.$setSelectRange = setSelectRange;
  // 动态注册store
  opts.store.registerModule("global", globalStore);
};


//引用文件方式时，会使用，类似jquery方式引入
if (typeof window !== 'undefined' && window.Vue) {
  install(window.Vue);
}
export  {
  install,
  HighLight,
  ToolBar,
  setSelectRange
}
export default {
  install
}




